<?xml version="1.0"?>
<xsl:stylesheet  version="2.0"  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="html"/>
  <xsl:template match="dblpperson">
   <html><head><title>Publications</title></head>
         <body>
		 <h1>Publications</h1>
		 <h2>Journal Publications</h2>
		 <ol>
		    <xsl:apply-templates select=".//article"/>
		 </ol>
		 		 
		 <h2>Conference Papers</h2>
		 <ol>
		    <xsl:apply-templates select=".//inproceedings"/>
		 </ol>
	</body>
   </html>
  </xsl:template>

  <xsl:template match="article">
     <li>
	<xsl:apply-templates select="author"/><br/>
	<b><xsl:value-of select="title"/></b><br/>
	<xsl:value-of select="journal"/>, <xsl:value-of select="volume"/>, <xsl:value-of select="pages"/>, <xsl:value-of select="year"/>
     </li>
  </xsl:template>  

  <xsl:template match="inproceedings">
     <li>
	<xsl:apply-templates select="author"/><br/>
	<b><xsl:value-of select="title"/></b><br/>
	In Proceedings of <xsl:value-of select="booktitle"/>, <xsl:value-of select="pages"/> (<xsl:value-of select="year"/>)
     </li>
  </xsl:template>
  
  
    <xsl:template match="author">
      <xsl:value-of select="."/>, 
    </xsl:template>  
  
  
  
  
</xsl:stylesheet>
